# $Revision: 1.22 $, $Date: 2009/05/26 22:10:54 $
Summary:	GL extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia GL
Name:		xorg-proto-glproto
Version:	1.4.10
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/glproto-%{version}.tar.bz2
# Source0-md5:	c9f8cebfba72bfab674bc0170551fb8d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GL extension headers.

%description -l pl.UTF-8
Nagłówki rozszerzenia GL.

%package devel
Summary:	GL extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia GL
Group:		X11/Development/Libraries
# <GL/glxint.h> needs <X11/X*.h> and <GL/gl.h>
Requires:	OpenGL-devel
Requires:	xorg-proto-xproto-devel

%description devel
GL extension headers.

%description devel -l pl.UTF-8
Nagłówki rozszerzenia GL.

%prep
%setup -q -n glproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%{_includedir}/GL/glxint.h
%{_includedir}/GL/glxmd.h
%{_includedir}/GL/glxproto.h
%{_includedir}/GL/glxtokens.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/glcore.h
%{_pkgconfigdir}/glproto.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-proto-glproto.spec,v $
Revision 1.22  2009/05/26 22:10:54  adamg
- updated to 1.4.10

Revision 1.21  2007/10/30 20:59:58  qboosh
- updated to 1.4.9
- dropped obsolete shaders patch
- adjusted descs (GL is extension)

Revision 1.20  2007/08/25 18:38:35  qboosh
- more verbose files (so one can easily figure each GL/*.h file origin)
- -devel R: OpenGL-devel (for <GL/gl.h>), so no need to include GL dir here

Revision 1.19  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.17  2006/09/20 17:18:30  arekm
- up to 1.4.8

Revision 1.16  2006/05/02 14:44:40  wolf
- 1.4.7

Revision 1.15  2006/03/17 15:36:11  freetz
- 1.4.6, fbo already in sources

Revision 1.14  2006/03/11 22:56:14  wolf
- support for GL_ARB_vertex_program, rel 3

Revision 1.13  2006/02/23 17:22:08  wolf
- indirect fbo support

Revision 1.12  2006/02/20 16:03:32  freetz
- 1.4.5, better source (suitable for all other xorg-* specs)

Revision 1.11  2006/02/18 15:15:21  qboosh
- cleanup

Revision 1.10  2006/02/14 21:14:28  freetz
- 1.4.4 (GLX_EXT_texture_from_pixmap added)

Revision 1.9  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.8  2005/12/22 13:03:31  qboosh
- 1.4.3 (X11R7.0 release)

Revision 1.7  2005/12/19 15:54:14  qboosh
- 1.4.2 (X11R7.0-RC4)

Revision 1.6  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.5  2005/10/20 12:51:06  qboosh
- BR: autoconf >= 2.57

Revision 1.4  2005/10/20 11:33:22  qboosh
- 1.4.1 (X11R7.0-RC1)
- R: xorg-proto-xproto-devel (<X11/X.h>, <X11/Xdefs.h>)
- own /usr/include/GL dir

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/27 16:12:43  qboosh
- cleanups

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 13:41:05  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
